SQLTemplateParserTreeConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.template.parser, interface: SQLTemplateParserTreeConstants

# Interface SQLTemplateParserTreeConstants

All Known Implementing Classes:
  `SQLTemplateParser`

public interface SQLTemplateParserTreeConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `JJTARRAY`
  `static final int`
  `JJTBLOCK`
  `static final int`
  `JJTBOOLSCALAR`
  `static final int`
  `JJTDIRECTIVE`
  `static final int`
  `JJTEXPRESSION`
  `static final int`
  `JJTFLOATSCALAR`
  `static final int`
  `JJTIFELSE`
  `static final int`
  `JJTINTSCALAR`
  `static final int`
  `JJTMETHOD`
  `static final String[]`
  `jjtNodeName`
  `static final int`
  `JJTSTRINGSCALAR`
  `static final int`
  `JJTTEXT`
  `static final int`
  `JJTVARIABLE`
  `static final int`
  `JJTVOID`

- ## Field Details

  - ### JJTVOID

    static final int JJTVOID
    See Also:
      - Constant Field Values

  - ### JJTBLOCK

    static final int JJTBLOCK
    See Also:
      - Constant Field Values

  - ### JJTTEXT

    static final int JJTTEXT
    See Also:
      - Constant Field Values

  - ### JJTIFELSE

    static final int JJTIFELSE
    See Also:
      - Constant Field Values

  - ### JJTDIRECTIVE

    static final int JJTDIRECTIVE
    See Also:
      - Constant Field Values

  - ### JJTEXPRESSION

    static final int JJTEXPRESSION
    See Also:
      - Constant Field Values

  - ### JJTSTRINGSCALAR

    static final int JJTSTRINGSCALAR
    See Also:
      - Constant Field Values

  - ### JJTINTSCALAR

    static final int JJTINTSCALAR
    See Also:
      - Constant Field Values

  - ### JJTFLOATSCALAR

    static final int JJTFLOATSCALAR
    See Also:
      - Constant Field Values

  - ### JJTBOOLSCALAR

    static final int JJTBOOLSCALAR
    See Also:
      - Constant Field Values

  - ### JJTVARIABLE

    static final int JJTVARIABLE
    See Also:
      - Constant Field Values

  - ### JJTMETHOD

    static final int JJTMETHOD
    See Also:
      - Constant Field Values

  - ### JJTARRAY

    static final int JJTARRAY
    See Also:
      - Constant Field Values

  - ### jjtNodeName

    static final String[] jjtNodeName